function [matice_SVM_BIN,matice_SVM_FUZZY,matice_SVM_BIN_FYZ,matice_SVM_FUZZY_FYZ,...
          matice_SVM_BIN_PSY,matice_SVM_FUZZY_PSY,matice_SVM_BIN_PSY_EM,...
          matice_SVM_FUZZY_PSY_EM,matice_SVM_BIN_PSY_KON,...
          matice_SVM_FUZZY_PSY_KON,delka]=tvorba_matice(pocet)

clc
clear all
close all
%% WFDB instalace toolboxu

% [old_path]=which('rdsamp');
% if(~isempty(old_path)) rmpath(old_path(1:end-8));
% end
% wfdb_url='https://physionet.org/physiotools/matlab/wfdb-app-matlab/wfdb-app-toolbox-0-10-0.zip';
% [filestr,status] = urlwrite(wfdb_url,'wfdb-app-toolbox-0-10-0.zip');
% unzip('wfdb-app-toolbox-0-10-0.zip');
% cd mcode
% addpath(pwd)
% savepath

%% surový signál

% load ('Subject1_AccTempEDAm')
% raw_A=val(:,1:3) %[1,:]=Ax [2,:]=Ay [3,;]=Az
% raw_Temp=val(:,4)
% raw_EDA=val(:,5)

% load ('Subject1_SpO2HRm')
% raw_SPO2=val(:,1)
% raw_HR=val(:,2)


%% nacteni signalu

databaze=databaze(pocet);
m=size(databaze,2);

matice_SVM_BIN=[];
matice_SVM_BIN_FYZ=[];
matice_SVM_BIN_PSY=[];
matice_SVM_BIN_PSY_EM=[];
matice_SVM_BIN_PSY_KON=[];

matice_SVM_FUZZY=[];
matice_SVM_FUZZY_FYZ=[];
matice_SVM_FUZZY_PSY=[];
matice_SVM_FUZZY_PSY_EM=[];
matice_SVM_FUZZY_PSY_KON=[];


% data pro hodnotici algortimus
%sloupce subjekty, řádek 1. - specificita, řádek 2. - senzitivita, řádek 3 přesnost

vystup_CELKOVY_STRES=zeros(3,m);
vystup_FYZ_STRES=zeros(3,m);
vystup_PSY_STRES=zeros(3,m);
vystup_PSY_EM_STRES=zeros(3,m);
vystup_PSY_KOG_STRES=zeros(3,m);

for u=(1:m)
    
nahraj_1=databaze(1,u);
nahraj_1=convertStringsToChars(nahraj_1);
nahraj_2=databaze(2,u);
nahraj_2=convertStringsToChars(nahraj_2);


%nahrani signalu AccTempEDA pro vzorek Subject_u
[signal_AccTempEDA,Fs_AccTempEDA,tm_AccTempEDA]=rdsamp(nahraj_1,[]);
A=signal_AccTempEDA (:,1:3); % NU; osy A_S1[1,:]=Ax A_S1[2,:]=Ay A_S1[3,;]=Az
Temp=signal_AccTempEDA (:,4);%[°C]
EDA=signal_AccTempEDA (:,5); % NU

%nahrani anotace AccTempEDA pro vzorek Subject_u
[ann,anntype,subtype,chan,num,comments]=rdann(nahraj_1,'atr',[]);

%nahrani signalu SpO2HR pro vzorek Subject_u
[signal_SpO2HR,Fs_SpO2HR,tm_SpO2HR]=rdsamp(nahraj_2,[]);
SpO2=signal_SpO2HR (:,1); % [%]
HR=signal_SpO2HR (:,2); % [bpm]

% k signalu SpO2 a HR neni k dispozici anotace

%% vizualizace ziskanych dat
nahraj_3=databaze(3,u);
nahraj_3=convertStringsToChars(nahraj_3);
nahraj_4=databaze(4,u);
nahraj_4=convertStringsToChars(nahraj_4);


% figure
% subplot (2,1,1)
% plotATM(nahraj_3);
% subplot (2,1,2)
% plotATM(nahraj_4);

%% standartizace/normalizace dat

A=fce_stand(A);
Temp=fce_norm(Temp);
EDA=fce_norm(EDA);
SpO2=fce_norm(SpO2);
HR=fce_norm(HR);

%odstraneni odlehlych hodnot ci nevyznamnych priznaku u tohoto typu dat
%provedeno autory databáze 

%% stanoveni podobnosti-shlukovani
% pouze od dat ziskanych z akcelrometru (3 dimenzionalni signal), zbytek 1

% centroid V - sloupec shluk, radek parmetr
% pr. V=[0.2,0.5,0.8;0.1,0.4,0.7]
% 3 shluky o dvou prametrech

% data pro empiricky odhad centroidu:
% roz=sort (A);
% figure
% plot (tm, A)
% figure
% plot (sort(A))


q=2;
E=0.00001;
K=1000;

%samostatne 1D (3D)

%A
V_A=[0.2,0.3,0.4;0.25,0.35,0.8;0.3,0.5,0.65];
A_C_means=c_means_komplet(A,tm_AccTempEDA,V_A,q,E,K,'akcelerometr');
%V1-relax
%V2-psychicky stres
%V3-fyzicky stres

%Temp
V_Temp=[0.5,0.8,0.7]; %
TEMP_C_means=c_means_komplet(Temp,tm_AccTempEDA,V_Temp,q,E,K,'teplota');
%V1-pokles teploty - stres fyzicky
%V2-pokles teploty - stres psychicky 
%V3-zvyseni teploty - relax

%EDA
V_EDA=[0.4,0.65,0.95];
EDA_C_means=c_means_komplet(EDA,tm_AccTempEDA,V_EDA,q,E,K,'EDA');
%V1-relax
%V2-stres psychicky
%V3-stres fyzicky

%SpO2
V_SpO2=[0.1,0.4,0.8];
SpO2_C_means=c_means_komplet(SpO2,tm_SpO2HR,V_SpO2,q,E,50,'saturace_krve');

%HR
V_HR=[0.2, 0.4, 0.6];
HR_C_means=c_means_komplet(HR,tm_SpO2HR,V_HR,3,E,K,'tepova_frekvece');
%V1-relax
%V2-psychycky stres (konitivni)
%V3-fyzicky stres


% % ve 2D

% %TempEDA_S1
% TempEDA_S1=signal_S1_AccTempEDA (:,4:5)
% V_TempEDA_S1=[0.1,0.4,0.8];
% TempEDA_S1_C_means=c_means_komplet(TempEDA_S1,tm_S1_AccTempEDA,V_TempEDA_S1,q,E,K,'TempEDA');
% zadny validni udaj

% %SpO2HR
% V_SpO2HR_S1=[0.2, 0.4, 0.6];
% SpO2HR_S1_C_means=c_means_komplet(signal_S1_SpO2HR,tm_S1_SpO2HR,V_SpO2HR_S1,q,E,K,'SpO2HR');
% % odchyl od izolinie - stres
% % zadna nova data 
% 
% % % signal_S1_AccTempEDA
% V_signal_S1_AccTempEDA=[0.1,0.4,0.8];
% AccTempEDA_S1_C_means=c_means_komplet(signal_S1_AccTempEDA,tm_S1_AccTempEDA,V_signal_S1_AccTempEDA,q,E,K,'AccTempEDA');
% %odchyl od izolinie - stres
% % zadna nova data 

%% hodnoceni jednotlivych signalu

%A
%shluk V3 validne detekuje fyzicky a emocni stres

[STRES_ACC_BIN,STRES_ACC_FUZZY,RELAX_ACC_BIN,...
 RELAX_ACC_FUZZY,STRES_ACC_BIN_FYZ,...
 STRES_ACC_FUZZY_FYZ,STRES_ACC_BIN_PSY,STRES_ACC_FUZZY_PSY]=...
 detekce_ACC_svm (A_C_means);

%TEMP

%uvaha: pri stresu v zavislosti na aktivaci sympatickeho nerstva se zvysi 
%aktivita potnich zlaz, dojde k poceni a tudiz ke snizeni povrchove teploty
%zaroven se centralizuje obeh, cimz se take snizi teplota periferii
%na druhou stranu ovsem uvnitr tela dochazi k katabolickym (tudyz exotermickym) dejum
%spojenym s zvysenim teploty
%dle teto uvahy neni povrchova teplota tela optimalni parametr pro urcovani stresu
%coz mi potvrzuji i namerena data

[STRES_TEMP_BIN,STRES_TEMP_FUZZY,RELAX_TEMP_BIN,...
 RELAX_TEMP_FUZZY,STRES_TEMP_BIN_FYZ,...
 STRES_TEMP_FUZZY_FYZ,STRES_TEMP_BIN_PSY,STRES_TEMP_FUZZY_PSY]=...
 detekce_TEMP_svm (TEMP_C_means);



%EDA
%mala vypovedni hodnota, data neodpovidaji

%uvaha: pri stresu v zavislosti na aktivaci sympatickeho nerstva by se mela
%zmenit impedance kuze, data ovsem neodpovidaji teto uvaze

[STRES_EDA_BIN,STRES_EDA_FUZZY,RELAX_EDA_BIN,...
 RELAX_EDA_FUZZY,STRES_EDA_BIN_FYZ,...
 STRES_EDA_FUZZY_FYZ,STRES_EDA_BIN_PSY,STRES_EDA_FUZZY_PSY ]=...
 detekce_EDA_svm (EDA_C_means);


%SpO2
%V3 detekuje stres
%slabe

[STRES_SpO2_BIN,STRES_SpO2_FUZZY,RELAX_SpO2_BIN,...
 RELAX_SpO2_FUZZY,STRES_SpO2_BIN_FYZ,...
 STRES_SpO2_FUZZY_FYZ,STRES_SpO2_BIN_PSY,STRES_SpO2_FUZZY_PSY]=...
 detekce_SpO2_svm (SpO2_C_means);

%HR
%dobre hodnoceni stresu, vyjma psychyckeho emocniho
%nekdy ne zcela dokonale oddeleni shluku

[STRES_HR_BIN,STRES_HR_FUZZY,RELAX_HR_BIN,...
 RELAX_HR_FUZZY,STRES_HR_BIN_FYZ,...
 STRES_HR_FUZZY_FYZ,STRES_HR_BIN_PSY,STRES_HR_FUZZY_PSY]=...
 detekce_HR_svm (HR_C_means);

%% vyhodnocení  subjektu

%prevzorkovani HRSpO2

%SpO2

% alternativne, delat prumer z AccTempEDA vzdy s oknem po 8 vzorcich
STRES_SpO2_BIN_PREVZORKOVANE=zeros(1,length(STRES_SpO2_BIN)*Fs_AccTempEDA);
STRES_SpO2_BIN_FYZ_PREVZORKOVANE=zeros(1,length(STRES_SpO2_BIN)*Fs_AccTempEDA);
STRES_SpO2_BIN_PSY_PREVZORKOVANE=zeros(1,length(STRES_SpO2_BIN)*Fs_AccTempEDA);
STRES_SpO2_FUZZY_PREVZORKOVANE=zeros(1,length(STRES_SpO2_FUZZY)*Fs_AccTempEDA);
STRES_SpO2_FUZZY_FYZ_PREVZORKOVANE=zeros(1,length(STRES_SpO2_FUZZY)*Fs_AccTempEDA);
STRES_SpO2_FUZZY_PSY_PREVZORKOVANE=zeros(1,length(STRES_SpO2_FUZZY)*Fs_AccTempEDA);
RELAX_SpO2_BIN_PREVZORKOVANE=zeros(1,length(STRES_SpO2_BIN)*Fs_AccTempEDA);
RELAX_SpO2_FUZZY_PREVZORKOVANE=zeros(1,length(STRES_SpO2_FUZZY)*Fs_AccTempEDA);

pom=8;

for i=2:length(STRES_SpO2_BIN)
    STRES_SpO2_BIN_PREVZORKOVANE(pom:(pom+7))= STRES_SpO2_BIN(i);
    STRES_SpO2_BIN_FYZ_PREVZORKOVANE(pom:(pom+7))= STRES_SpO2_BIN_FYZ(i);
    STRES_SpO2_BIN_PSY_PREVZORKOVANE(pom:(pom+7))= STRES_SpO2_BIN_PSY(i);
    STRES_SpO2_FUZZY_PREVZORKOVANE(pom:(pom+7))= STRES_SpO2_FUZZY(i);
    STRES_SpO2_FUZZY_FYZ_PREVZORKOVANE(pom:(pom+7))= STRES_SpO2_FUZZY_FYZ(i);
    STRES_SpO2_FUZZY_PSY_PREVZORKOVANE(pom:(pom+7))= STRES_SpO2_FUZZY_PSY(i);
    RELAX_SpO2_BIN_PREVZORKOVANE(pom:(pom+7))= RELAX_SpO2_BIN(i);
    RELAX_SpO2_FUZZY_PREVZORKOVANE(pom:(pom+7))= RELAX_SpO2_FUZZY(i);

    pom=pom+8;
end
    
STRES_SpO2_BIN_PREVZORKOVANE=STRES_SpO2_BIN_PREVZORKOVANE(1:length(STRES_ACC_BIN));
STRES_SpO2_BIN_FYZ_PREVZORKOVANE=STRES_SpO2_BIN_FYZ_PREVZORKOVANE(1:length(STRES_ACC_BIN));
STRES_SpO2_BIN_PSY_PREVZORKOVANE=STRES_SpO2_BIN_PSY_PREVZORKOVANE(1:length(STRES_ACC_BIN));
STRES_SpO2_FUZZY_PREVZORKOVANE=STRES_SpO2_FUZZY_PREVZORKOVANE(1:length(STRES_ACC_BIN));
STRES_SpO2_FUZZY_FYZ_PREVZORKOVANE=STRES_SpO2_FUZZY_FYZ_PREVZORKOVANE(1:length(STRES_ACC_BIN));
STRES_SpO2_FUZZY_PSY_PREVZORKOVANE=STRES_SpO2_FUZZY_PSY_PREVZORKOVANE(1:length(STRES_ACC_BIN));
RELAX_SpO2_BIN_PREVZORKOVANE=RELAX_SpO2_BIN_PREVZORKOVANE(1:length(STRES_ACC_BIN));
RELAX_SpO2_FUZZY_PREVZORKOVANE=RELAX_SpO2_FUZZY_PREVZORKOVANE(1:length(STRES_ACC_BIN));



%HR

STRES_HR_BIN_PREVZORKOVANE=zeros(1,length(STRES_HR_BIN)*Fs_AccTempEDA);
STRES_HR_FUZZY_PREVZORKOVANE=zeros(1,length(STRES_HR_BIN)*Fs_AccTempEDA);
STRES_HR_BIN_FYZ_PREVZORKOVANE=zeros(1,length(STRES_HR_BIN)*Fs_AccTempEDA);
STRES_HR_FUZZY_FYZ_PREVZORKOVANE=zeros(1,length(STRES_HR_BIN)*Fs_AccTempEDA);
STRES_HR_BIN_PSY_PREVZORKOVANE=zeros(1,length(STRES_HR_BIN)*Fs_AccTempEDA);
STRES_HR_FUZZY_PSY_PREVZORKOVANE=zeros(1,length(STRES_HR_BIN)*Fs_AccTempEDA);
RELAX_HR_BIN_PREVZORKOVANE=zeros(1,length(STRES_HR_BIN)*Fs_AccTempEDA);
RELAX_HR_FUZZY_PREVZORKOVANE=zeros(1,length(STRES_HR_BIN)*Fs_AccTempEDA);

pom=8;

for i=1:length(STRES_HR_BIN)
   STRES_HR_BIN_PREVZORKOVANE(pom:(pom+7))= STRES_HR_BIN(i);
    STRES_HR_FUZZY_PREVZORKOVANE(pom:(pom+7))= STRES_HR_FUZZY(i);   
    STRES_HR_BIN_FYZ_PREVZORKOVANE(pom:(pom+7))= STRES_HR_BIN_FYZ(i);
    STRES_HR_FUZZY_FYZ_PREVZORKOVANE(pom:(pom+7))= STRES_HR_FUZZY_FYZ(i);
    STRES_HR_BIN_PSY_PREVZORKOVANE(pom:(pom+7))= STRES_HR_BIN_PSY(i);   
    STRES_HR_FUZZY_PSY_PREVZORKOVANE(pom:(pom+7))= STRES_HR_FUZZY_PSY(i);
    RELAX_HR_BIN_PREVZORKOVANE(pom:(pom+7))= RELAX_HR_BIN(i);   
    RELAX_HR_FUZZY_PREVZORKOVANE(pom:(pom+7))= RELAX_HR_FUZZY(i);
    pom=pom+8;
end

STRES_HR_BIN_PREVZORKOVANE=STRES_HR_BIN_PREVZORKOVANE(1:length(STRES_ACC_BIN));
STRES_HR_FUZZY_PREVZORKOVANE=STRES_HR_FUZZY_PREVZORKOVANE(1:length(STRES_ACC_BIN)); 
STRES_HR_BIN_FYZ_PREVZORKOVANE=STRES_HR_BIN_FYZ_PREVZORKOVANE(1:length(STRES_ACC_BIN));
STRES_HR_FUZZY_FYZ_PREVZORKOVANE=STRES_HR_FUZZY_FYZ_PREVZORKOVANE(1:length(STRES_ACC_BIN));
STRES_HR_BIN_PSY_PREVZORKOVANE=STRES_HR_BIN_PSY_PREVZORKOVANE(1:length(STRES_ACC_BIN));   
STRES_HR_FUZZY_PSY_PREVZORKOVANE=STRES_HR_FUZZY_PSY_PREVZORKOVANE(1:length(STRES_ACC_BIN));
RELAX_HR_BIN_PREVZORKOVANE=RELAX_HR_BIN_PREVZORKOVANE(1:length(STRES_ACC_BIN));   
RELAX_HR_FUZZY_PREVZORKOVANE=RELAX_HR_FUZZY_PREVZORKOVANE(1:length(STRES_ACC_BIN));



%% hodnoceni algoritmu

[vzor,vzor_FYZ,vzor_PSY,vzor_PSY_EM,vzor_PSY_KOG,delka]=vzor_anotace(STRES_ACC_BIN);

%% CELKOVY STRES

vzor= vzor(u,:);
vzor_FYZ=vzor_FYZ(u,:);
vzor_PSY=vzor_PSY(u,:);
vzor_PSY_EM=vzor_PSY_EM(u,:);
vzor_PSY_KOG=vzor_PSY_KOG(u,:);


%%matice_SVM

matice_B=zeros(length(STRES_ACC_BIN),6);
matice_F=zeros(length(STRES_ACC_BIN),6);
matice_B_FYZ=zeros(length(STRES_ACC_BIN),6);
matice_F_FYZ=zeros(length(STRES_ACC_BIN),6);
matice_B_PSY=zeros(length(STRES_ACC_BIN),6);
matice_F_PSY=zeros(length(STRES_ACC_BIN),6);
matice_B_PSY_EM=zeros(length(STRES_ACC_BIN),6);
matice_F_PSY_EM=zeros(length(STRES_ACC_BIN),6);
matice_B_PSY_KOG=zeros(length(STRES_ACC_BIN),6);
matice_F_PSY_KOG=zeros(length(STRES_ACC_BIN),6);

matice_B(:,1)=STRES_ACC_BIN;
matice_B(:,2)=STRES_EDA_BIN;
matice_B(:,3)=STRES_HR_BIN_PREVZORKOVANE;
matice_B(:,4)=STRES_SpO2_BIN_PREVZORKOVANE;
matice_B(:,5)=STRES_TEMP_BIN;
matice_B(:,6)=vzor;

matice_F(:,1)=STRES_ACC_FUZZY;
matice_F(:,2)=STRES_EDA_FUZZY;
matice_F(:,3)=STRES_HR_FUZZY_PREVZORKOVANE;
matice_F(:,4)=STRES_SpO2_FUZZY_PREVZORKOVANE;
matice_F(:,5)=STRES_TEMP_FUZZY;
matice_F(:,6)=vzor;

matice_SVM_BIN=[matice_SVM_BIN;matice_B];
matice_SVM_FUZZY=[matice_SVM_FUZZY;matice_F];

matice_B_FYZ(:,1)=STRES_ACC_BIN_FYZ;
matice_B_FYZ(:,2)=STRES_EDA_BIN_FYZ;
matice_B_FYZ(:,3)=STRES_HR_BIN_FYZ_PREVZORKOVANE;
matice_B_FYZ(:,4)=STRES_SpO2_BIN_FYZ_PREVZORKOVANE;
matice_B_FYZ(:,5)=STRES_TEMP_BIN_FYZ;
matice_B_FYZ(:,6)=vzor_FYZ;

matice_F_FYZ(:,1)=STRES_ACC_FUZZY_FYZ;
matice_F_FYZ(:,2)=STRES_EDA_FUZZY_FYZ;
matice_F_FYZ(:,3)=STRES_HR_FUZZY_FYZ_PREVZORKOVANE;
matice_F_FYZ(:,4)=STRES_SpO2_FUZZY_FYZ_PREVZORKOVANE;
matice_F_FYZ(:,5)=STRES_TEMP_FUZZY_FYZ;
matice_F_FYZ(:,6)=vzor_FYZ;

matice_SVM_BIN_FYZ=[matice_SVM_BIN_FYZ;matice_B_FYZ];
matice_SVM_FUZZY_FYZ=[matice_SVM_FUZZY_FYZ;matice_F_FYZ];

matice_B_PSY(:,1)=STRES_ACC_BIN_PSY;
matice_B_PSY(:,2)=STRES_EDA_BIN_PSY;
matice_B_PSY(:,3)=STRES_HR_BIN_PSY_PREVZORKOVANE;
matice_B_PSY(:,4)=STRES_SpO2_BIN_PSY_PREVZORKOVANE;
matice_B_PSY(:,5)=STRES_TEMP_BIN_PSY;
matice_B_PSY(:,6)=vzor_PSY;

matice_F_PSY(:,1)=STRES_ACC_FUZZY_PSY;
matice_F_PSY(:,2)=STRES_EDA_FUZZY_PSY;
matice_F_PSY(:,3)=STRES_HR_FUZZY_PSY_PREVZORKOVANE;
matice_F_PSY(:,4)=STRES_SpO2_FUZZY_PSY_PREVZORKOVANE;
matice_F_PSY(:,5)=STRES_TEMP_FUZZY_PSY;
matice_F_PSY(:,6)=vzor_PSY;

matice_SVM_BIN_PSY=[matice_SVM_BIN_PSY;matice_B_PSY];
matice_SVM_FUZZY_PSY=[matice_SVM_FUZZY_PSY;matice_F_PSY];

matice_B_PSY_EM(:,1)=STRES_ACC_BIN_PSY;
matice_B_PSY_EM(:,2)=STRES_EDA_BIN_PSY;
matice_B_PSY_EM(:,3)=STRES_HR_BIN_PSY_PREVZORKOVANE;
matice_B_PSY_EM(:,4)=STRES_SpO2_BIN_PSY_PREVZORKOVANE;
matice_B_PSY_EM(:,5)=STRES_TEMP_BIN_PSY;
matice_B_PSY_EM(:,6)=vzor_PSY_EM;

matice_F_PSY_EM(:,1)=STRES_ACC_FUZZY_PSY;
matice_F_PSY_EM(:,2)=STRES_EDA_FUZZY_PSY;
matice_F_PSY_EM(:,3)=STRES_HR_FUZZY_PSY_PREVZORKOVANE;
matice_F_PSY_EM(:,4)=STRES_SpO2_FUZZY_PSY_PREVZORKOVANE;
matice_F_PSY_EM(:,5)=STRES_TEMP_FUZZY_PSY;
matice_F_PSY_EM(:,6)=vzor_PSY_EM;

matice_SVM_BIN_PSY_EM=[matice_SVM_BIN_PSY_EM;matice_B_PSY_EM];
matice_SVM_FUZZY_PSY_EM=[matice_SVM_FUZZY_PSY_EM;matice_F_PSY_EM];

matice_B_PSY_KOG(:,1)=STRES_ACC_BIN_PSY;
matice_B_PSY_KOG(:,2)=STRES_EDA_BIN_PSY;
matice_B_PSY_KOG(:,3)=STRES_HR_BIN_PSY_PREVZORKOVANE;
matice_B_PSY_KOG(:,4)=STRES_SpO2_BIN_PSY_PREVZORKOVANE;
matice_B_PSY_KOG(:,5)=STRES_TEMP_BIN_PSY;
matice_B_PSY_KOG(:,6)=vzor_PSY_KOG;

matice_F_PSY_KOG(:,1)=STRES_ACC_FUZZY_PSY;
matice_F_PSY_KOG(:,2)=STRES_EDA_FUZZY_PSY;
matice_F_PSY_KOG(:,3)=STRES_HR_FUZZY_PSY_PREVZORKOVANE;
matice_F_PSY_KOG(:,4)=STRES_SpO2_FUZZY_PSY_PREVZORKOVANE;
matice_F_PSY_KOG(:,5)=STRES_TEMP_FUZZY_PSY;
matice_F_PSY_KOG(:,6)=vzor_PSY_KOG;

matice_SVM_BIN_PSY_KON=[matice_SVM_BIN_PSY_KON;matice_B_PSY_KOG];
matice_SVM_FUZZY_PSY_KON=[matice_SVM_FUZZY_PSY_KON;matice_F_PSY_KOG];

%% delka signalu
delka(u)=size(matice_B,1);

end
end

